{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/common-workflow-language/cwltool/814bd0405a7701efc7d63e8f0179df394c7766f7/cwltool/schemas/v1.0/v1.0/hello.txt"
                    },
                    "id": "#main/file1"
                }
            ],
            "steps": [
                {
                    "run": "#wc2-tool.cwl",
                    "in": [
                        {
                            "source": "#main/file1",
                            "id": "#main/step1/file1"
                        }
                    ],
                    "out": [
                        "#main/step1/output"
                    ],
                    "id": "#main/step1"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "int",
                    "outputSource": "#main/step1/output",
                    "id": "#main/count_output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#wc2-tool.cwl/file1",
                    "type": "File",
                    "inputBinding": {}
                }
            ],
            "outputs": [
                {
                    "id": "#wc2-tool.cwl/output",
                    "type": "int",
                    "outputBinding": {
                        "glob": "output.txt",
                        "loadContents": true,
                        "outputEval": "$(parseInt(self[0].contents))"
                    }
                }
            ],
            "stdout": "output.txt",
            "baseCommand": "wc",
            "id": "#wc2-tool.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
